; test window definition

	section wdef

	xdef	windef

	include dev1_asm_test_includes
	include dev8_keys_wman
	include dev8_keys_syspal
	include dev8_keys_sysspr

; item action routines
	xref	act_esc 		; action routines
	xref	act_move

; appsub list
	xref	aplist

; sprites
	xref	spr_move
	xref	spr_size
	xref	spr_sleep

		
;Main window definition :
;======================== 

windef	dc.w	xsize			; default window x size
	dc.w	ysize			;		y size
	dc.w	16			; initial pointer x position
	dc.w	20			;		 y position
	dc.b	$00			; MSbit clear to clear window
	dc.b	2			; shadow depth
border	dc.w	1			; border width
	dc.w	sp.winbd		; border colour
	dc.w	sp.winbg		; paper colour
	dc.w   0			; use default pointer sprite

; menu item attributes
	dc.w	1			; current item border width
	dc.w	sp.litemhigh		; border colour
; menu item unavailable
	dc.w	sp.litemunabg		; background colour
	dc.w	sp.litemunafg		; text object ink colour
	dc.w	0			; pointer to blob for pattern
	dc.w	0			; pointer to pattern for blob
; menu item available
	dc.w	sp.litemavabg		; background colour
	dc.w	sp.litemavafg		; text object ink colour
	dc.w	0			; pointer to blob for pattern
	dc.w	0			; pointer to pattern for blob
; menu item selected
	dc.w	sp.litemselbg		; background colour
	dc.w	sp.litemselfg		; text object ink colour
	dc.w	0			; pointer to blob for pattern
	dc.w	0			; pointer to pattern for blob
;
	dc.w	0			; pointer to help window

; base of repeated part of window definition
repbase dc.w	xsize			; x (min.) size for this layout
	dc.w	ysize			; y (min.) size for this layout

; pointers to definition lists
	dc.w	info-*			; information sub-windows
	dc.w	loose-* 		; loose menu items
	dc.w	aplist-*		; application sub-windows
	dc.w	-1			; end flag

;
;Information sub-window definition list :
;========================================

;
;Information sub-window No. 0 (title bar)
;

info	dc.w	xsize-8-2*xspcg2	; sub-window x size
	dc.w	inf1y
	dc.w	4+xspcg2		; sub-window x origin
	dc.w	0			; sub-window y origin
	dc.b	$00			; MSbit clear to clear window
	dc.b	0			; shadow depth
	dc.w	1			; border width
	dc.w	sp.infwinbd		; border colour
	dc.w	sp.titlebg		; paper colour
	dc.w	0			; pointer to information object list
;
;Information sub-window No. 1 (title)
;
	dc.w	6*titlen+8		  ; sub-window x size
	dc.w	lys+1			; sub-window y size
	dc.w	titx			; sub-window x origin
	dc.w	2			; sub-window y origin
	dc.b	$00			; MSbit clear to clear window
	dc.b	0			; shadow depth
	dc.w	0			; border width
	dc.w	sp.infwinbd		; border colour
	dc.w	sp.infwinbg		; paper colour	(D3)
	dc.w	ttl_obj-*		; pointer to information object list
;
;Information sub-window No. 2 (inner wdw)
;
	dc.w	xsize-8 		; sub-window x size
	dc.w	ysize-inf1y-2		; sub-window y size
	dc.w	4			; sub-window x origin
	dc.w	inf1y			; sub-window y origin
	dc.b	$00			; MSbit clear to clear window
	dc.b	0			; shadow depth
	dc.w	1			; border width
	dc.w	sp.infwinbd		; border colour
	dc.w	sp.infwinbg		; paper colour	(D3)
	dc.w	0			; pointer to information object list
;
	dc.w	-1			; end of list


; Information sub-window object list (title string)

ttl_obj dc.w	4*6			; object x size
	dc.w	10			;	y size
	dc.w	4			;	x origin
	dc.w	1			;	y origin
	dc.b	text			; object type
	dc.b	0			; spare
	dc.w	sp.titlefg		; text ink colour
	dc.b	0			; text character x size
	dc.b	0			; text character y size
	dc.w	ob_tit-*		; pointer to object
	dc.w  -1			; end flag

ob_tit	dc.w	titlen
	dc.b	'Test'
obt2

ob_esc	dc.w	3
	dc.w	'ESC'

;
;Loose menu item list :
;======================

; 0 move_it
loose
	dc.w	lxs			; hit area  x size
	dc.w	lys-1			;	    y size
	dc.w	2			;	    x origin
	dc.w	2			;	    y origin
	dc.b	0			; object x justification
	dc.b	0			; object y justification
	dc.b	sprite			; object type
	dc.b	move			; selection keystroke
	dc.w	spr_move-*		; "pointer" to object
	dc.w	it_move 		; item number
	dc.w	act_move-*		; pointer to action routine

;
; 1 Loose menu item : SIZE
	dc.w	lxs			; hit area  x size
	dc.w	lys-1			;	    y size
	dc.w	2+xspcg 		;	    x origin
	dc.w	2			;	    y origin
	dc.b	0			; object x justification
	dc.b	0			; object y justification
	dc.b	sprite			; object type
	dc.b	resize			; selection keystroke
	dc.w	spr_size-*		; pointer to object
	dc.w	it_size 		; item number
	dc.w	act_esc-*		; pointer to action routine

;
; 2 Loose menu item : Zzz
	dc.w	lxs			; hit area  x size
	dc.w	lys-1			;	    y size
	dc.w	xsize-2*xspcg		;	    x origin
	dc.w	2			;	    y origin
	dc.b	0			; object x justification
	dc.b	0			; object y justification
	dc.b	sprite			; object type
	dc.b	sleep			; selection keystroke
	dc.w	spr_sleep-*		   ; pointer to object
	dc.w	it_zzz			; item number
	dc.w	act_esc-*		; pointer to action routine
;
; 3 Loose menu item : ESC
	dc.w	lxs			; hit area  x size
	dc.w	lys-1			;	    y size
	dc.w	xsize-xspcg		;	    x origin
	dc.w	2			;	    y origin
	dc.b	0			; object x justification
	dc.b	0			; object y justification
	dc.b	text			; object type
	dc.b	cancel			; selection keystroke
	dc.w	ob_esc-*		; pointer to object
	dc.w	it_esc			; item number
	dc.w	act_esc-*		; pointer to action routine
;
	dc.w	-1			; end flag




	 end
